public ActionForward perform(ActionMapping mapping,
            ActionForm form,
            HttpServletRequest request,
            HttpServletResponse response)
            throws IOException, ServletException {

    final QueryForm queryForm = (QueryForm) form;
    final RentalService rentalService = new RentalService();
    if (rentalService.isAuthorized(queryForm.getUserId())) {
        final Video video = (Video) rentalService.execute(
            queryForm.getVideoId(), queryForm.getUserId());
        queryForm.setRent(video.isRent());
        queryForm.setTitleName(video.getTitleName());
        return mapping.findForward("success");
    } else {
        return mapping.findForward("authentication_error");
    }
}