public void testExecute() {
    final Video video = new Video("1234", "l̎");
    VideoStore.getInstance().addVideo(video);
    final RentalService rentalService = new RentalService();
    rentalService.addUserLevel("ABC", 1);
    final Video queriedVideo =
        (Video) rentalService.execute("1234", "ABC");
    assertEquals("1234", queriedVideo.getVideoId());
    assertEquals(false, queriedVideo.isRent());
    video.doRent(); // ݏo
    assertEquals(true,
        ((Video) rentalService.execute("1234", "ABC")).isRent());
    video.doReturn(); // ԋp
    assertNotNull(rentalService.execute("1234", "ABC"));
}